Jitsi-meet :Unable to find valid certification path to requested target

I have downloaded jitsi-meet source code (android) from https://github.com/jitsi/jitsi-meet and followed the steps from https://github.com/jitsi/jitsi-meet/blob/master/android/README.md file.
When I synced the code the following error occured : "Cause: unable to find valid certification path to requested target" . How do I resolve this error?
P.S - I even changed the maven url path which was mentioned in the android file.

Can you paste the full log?

I have added half part of the log (due to word limitation) . Please check and revert @saghul
19-07-01 12:34:30,393 [ thread 12] WARN - nal.AbstractExternalSystemTask - Cause: unable to find valid certification path to requested target
com.intellij.openapi.externalSystem.model.ExternalSystemException: Cause: unable to find valid certification path to requested target
at com.android.tools.idea.gradle.project.sync.idea.ProjectImportErrorHandler.getUserFriendlyError(ProjectImportErrorHandler.java:72)
at com.android.tools.idea.gradle.project.sync.idea.AndroidGradleProjectResolver.getUserFriendlyError(AndroidGradleProjectResolver.java:436)
at org.jetbrains.plugins.gradle.service.project.AbstractProjectResolverExtension.getUserFriendlyError(AbstractProjectResolverExtension.java:158)
at org.jetbrains.plugins.gradle.service.project.GradleProjectResolver$ProjectConnectionDataNodeFunction.fun(GradleProjectResolver.java:943)
at org.jetbrains.plugins.gradle.service.project.GradleProjectResolver$ProjectConnectionDataNodeFunction.fun(GradleProjectResolver.java:923)
at org.jetbrains.plugins.gradle.service.execution.GradleExecutionHelper.execute(GradleExecutionHelper.java:210)
at org.jetbrains.plugins.gradle.service.project.GradleProjectResolver.resolveProjectInfo(GradleProjectResolver.java:140)
at org.jetbrains.plugins.gradle.service.project.GradleProjectResolver.resolveProjectInfo(GradleProjectResolver.java:79)
at com.intellij.openapi.externalSystem.service.remote.RemoteExternalSystemProjectResolverImpl.lambda$resolveProjectInfo$0(RemoteExternalSystemProjectResolverImpl.java:37)
at com.intellij.openapi.externalSystem.service.remote.AbstractRemoteExternalSystemService.execute(AbstractRemoteExternalSystemService.java:59)
at

Unfortunately this doesn’t tell much. Can you try to run the following, inside the android/ directory: ./gradlew clean --refresh-dependencies

Hi,
I tried running that command but the below error occured :

Starting a Gradle Daemon, 1 incompatible and 1 stopped Daemons could not be reused, use --status for details

FAILURE: Build failed with an exception.

  • What went wrong:
    A problem occurred configuring root project ‘jitsi-meet’.

Could not resolve all artifacts for configuration ‘:classpath’.
Could not resolve io.fabric.tools:gradle:1.27.0.
Required by:
project :
Could not resolve io.fabric.tools:gradle:1.27.0.
Could not get resource ‘https://maven.fabric.io/public/io/fabric/tools/gradle/1.27.0/gradle-1.27.0.pom’.
Could not HEAD ‘https://maven.fabric.io/public/io/fabric/tools/gradle/1.27.0/gradle-1.27.0.pom’.
sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification
path to requested target
How can I resolve this?

Hi,
I tried running the command but below error occured :

Starting a Gradle Daemon, 1 incompatible and 1 stopped Daemons could not be reused, use --status for details

FAILURE: Build failed with an exception.

  • What went wrong:
    A problem occurred configuring root project ‘jitsi-meet’.

Could not resolve all artifacts for configuration ‘:classpath’.
Could not resolve io.fabric.tools:gradle:1.27.0.
Required by:
project :
Could not resolve io.fabric.tools:gradle:1.27.0.
Could not get resource ‘https://maven.fabric.io/public/io/fabric/tools/gradle/1.27.0/gradle-1.27.0.pom’.
Could not HEAD ‘https://maven.fabric.io/public/io/fabric/tools/gradle/1.27.0/gradle-1.27.0.pom’.
sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification
path to requested target

How do I resolve this?

Got this Error : Starting a Gradle Daemon, 1 incompatible and 1 stopped Daemons could not be reused, use --status for details

FAILURE: Build failed with an exception.

  • What went wrong:
    A problem occurred configuring root project ‘jitsi-meet’.

Could not resolve all artifacts for configuration ‘:classpath’.
Could not resolve io.fabric.tools:gradle:1.27.0.
Required by:
project :
Could not resolve io.fabric.tools:gradle:1.27.0.
Could not get resource ‘https://maven.fabric.io/public/io/fabric/tools/gradle/1.27.0/gradle-1.27.0.pom’.
Could not HEAD ‘https://maven.fabric.io/public/io/fabric/tools/gradle/1.27.0/gradle-1.27.0.pom’.
sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification
path to requested target

Hello,
Tried running the command but following error occurred- "BUILD FAILED "FAILURE: Build failed with an exception.

  • What went wrong:
    A problem occurred configuring root project ‘jitsi-meet’.

Could not resolve all artifacts for configuration ‘:classpath’.
Could not resolve io.fabric.tools:gradle:1.27.0.
Required by:
project :
Could not resolve io.fabric.tools:gradle:1.27.0.
Could not get resource ‘https://maven.fabric.io/public/io/fabric/tools/gradle/1.27.0/gradle-1.27.0.pom’.
Could not HEAD ‘https://maven.fabric.io/public/io/fabric/tools/gradle/1.27.0/gradle-1.27.0.pom’.
sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification
path to requested target

Hello,
Tried running the command but following error occurred- "BUILD FAILED "

A problem occurred configuring root project ‘jitsi-meet’.
Could not resolve all artifacts for configuration ‘:classpath’.
Could not resolve io.fabric.tools:gradle:1.27.0.
Required by:
project :
Could not resolve io.fabric.tools:gradle:1.27.0.
Could not get resource ‘https://maven.fabric.io/public/io/fabric/tools/gradle/1.27.0/gradle-1.27.0.pom’.
Could not HEAD ‘https://maven.fabric.io/public/io/fabric/tools/gradle/1.27.0/gradle-1.27.0.pom’.
sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification
path to requested target

Hello,
Tried running the command but following error occurred- "BUILD FAILED "FAILURE: Build failed with an exception.

  • What went wrong:
    A problem occurred configuring root project ‘jitsi-meet’.

Could not resolve all artifacts for configuration ‘:classpath’.
Could not resolve io.fabric.tools:gradle:1.27.0.

I think you have missing / expired certificates in your system.

1 Like